XCB 1.16

Data Fields
xcb_input_input_state_data_t Struct Reference
XCB Input API

xcb_input_input_state_data_t More...

`#include <xinput.h>`

## Data Fields
struct { |
uint8_t num_keys |
uint8_t pad0 |
uint8_t keys [32] |
} | key |
struct { |
uint8_t num_buttons |
uint8_t pad1 |
uint8_t buttons [32] |
} | button |
struct { |
uint8_t num_valuators |
uint8_t mode |
int32_t * valuators |
} | valuator |

## Detailed Description

xcb_input_input_state_data_t

The documentation for this struct was generated from the following file:

- xinput.h